# Generated from SematextCloud-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name SematextCloud

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: A Sematext Cloud API client, for interaction with Sematext Cloud solution monitoring, alerting and log shipping
License: Apache-2.0
URL: https://github.com/sematext/sematext-api-client-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.6.0
BuildArch: noarch

%description
Sematext Cloud API Client for talking to https://sematext.com/docs/api/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/SematextCloud.gemspec
%doc %{gem_instdir}/docs
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.3.0-1
- Initial package
